Tampermonkey warning....!

Discussion in 'Suggestions and Support' started by btowngirl, Mar 25, 2019.

  1. btowngirl

    btowngirl New Turker

    Messages:
    7
    Gender:
    Female
    Ratings:
    +1
    Notification I received on Tampermonkey: Limited runtime host permissions might break some Tampermonkey features like script update, GM_xmlhttpRequest and others!

    What does this mean, and how do I fix it?
     
  2. TheNerdyAnarchist

    TheNerdyAnarchist Well-Known Turker

    Messages:
    3,454
    Gender:
    Male
    Ratings:
    +3,894
    Welcome! You should be able to just ignore it. If you come across any actual issues (e.g. you know there's an update to one of your scripts and receive an error when you try to update), feel free to let us know. :)
     
    • Useful / Informative Useful / Informative x 1
  3. btowngirl

    btowngirl New Turker

    Messages:
    7
    Gender:
    Female
    Ratings:
    +1
    Thank you for your quick reply! I appreciate it!
     
  4. marcusdavvid

    marcusdavvid Well-Known Turker

    Messages:
    2,883
    Gender:
    Male
    Ratings:
    +5,053
    Chrome has the option to limit access for specific extensions for privacy and security reasons. Seems to be off by default so you should be fine, but you can double check if you want.

    Extension Permissions:
    https://developer.chrome.com/extensions/runtime_host_permissions
     
    • Like Like x 1